Skip to main content
Security & Audit/Security
GETSecuritySince 1.0SynchronousAuth Required

ScanAgent

Scan an agent for CVE vulnerabilities based on its inventory.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • agentIdStringRequired

    Unique identifier of the agent to scan

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Vulnerability findings discovered on the scanned agent

    Example: (nested array)

    • agentIdString

      Unique identifier of the agent with this finding

      Example: agent-abc123

    • cveIdString

      CVE identifier for the discovered vulnerability

      Example: CVE-2021-44228

    • severityString

      Severity level of the discovered vulnerability

      Example: CVE_SEVERITY_UNSPECIFIED

    • cvssScoreLong

      CVSS score for the vulnerability finding

      Example: 9.8

    • affectedPackageNameString

      Name of the package affected by this vulnerability

      Example: log4j-core

    • installedVersionString

      Version of the package currently installed on the agent

      Example: 2.14.1

    • fixVersionString

      Version that fixes this vulnerability

      Example: 2.17.0

    • isFixedBoolean

      Whether the vulnerability has been patched on this agent

      Example: false

    • scannedAtString

      Timestamp when this vulnerability was scanned

      Example: 2026-01-15T08:00:00Z

Endpoint

GET/api/v1/security/agents/{agentId}/scan

/api/v1/security/agents/{agentId}/scan

Operation ID

ScanAgent

Permalink

Request Example

curl -X GET '{host}/api/v1/security/agents/{agentId}/scan' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history